
QGIS Application - Bug report #1525

graticule creator: don't use reserved SQL words as column names

2009-02-03 05:38 AM - Markus Neteler

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11585

Description

The changeset r8183 introduced the use of a reserved SQL word ('Column') as column name which renders the import of a graticule

(SHAPE) file rather hard:

GRASS 6.5.svn (latlong_tbe_climate):~ > v.in.ogr italy_white_box_LL.shp out=italy_white_box_LL

Projection of input dataset and current location appear to match

Layer: italy_white_box_LL

DBMI-DBF driver error:

SQL parser error: syntax error, unexpected COLUMN, expecting NAME processing 'Column'

in statement:

create table italy_white_box_LL (cat integer, LabelX double precision, LabelY double precision, [[LblOffsetX]] integer,

[[LblOffsetY]] integer, Label varchar ( 80 ), Row varchar ( 80 ), Column varchar ( 80 ), [[RowCol]] varchar ( 80 ))

Error in db_execute_immediate()

ERROR: Unable to create table: 'create table italy_white_box_LL (cat

       integer, LabelX double precision, LabelY double precision,

       [[LblOffsetX]] integer, [[LblOffsetY]] integer, Label varchar ( 80 ), Row

       varchar ( 80 ), Column varchar ( 80 ), [[RowCol]] varchar ( 80 ))'

Ref: http://developer.mimer.com/validator/sql-reserved-words.tml

Please select a different column name - suggestion: e.g., add a preceding "g" for graticule.

Associated revisions

Revision 6e676c15 - 2009-03-03 01:05 PM - Jürgen Fischer

fix #1525

git-svn-id: http://svn.osgeo.org/qgis/branches/Version-1_0@10258 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-02-25 06:03 AM - Markus Neteler

Apparently the graticule creator no longer exists and is replaced with the (external only?) ftools.

Personally I feel that in a release branch tools should not be removed without built-in replacement. Either ftools need to be added or the graticule creator
be restored in 1.0.x.

#2 - 2009-02-27 03:56 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

fTools is in trunk:

https://trac.osgeo.org/qgis/browser/trunk/qgis/python/plugins/fTools

#3 - 2009-02-27 05:15 AM - Markus Neteler

OK, but I am on Version 1.0.x... cannot find it there.

#4 - 2009-03-03 04:05 AM - Jürgen Fischer

Replying to [comment:3 neteler]:

OK, but I am on Version 1.0.x... cannot find it there.

but in 1.0 it's still there.  fixed in

#5 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
